summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-03-08 01:07:03 +0000
committerLeah Rowe <leah@libreboot.org>2026-03-08 01:11:52 +0000
commit1d17a8ffcf78abaac95c098cedaa4085831581cc (patch)
tree678e379385155da7a8cfb397b285a70036e16f24 /include
parent6203f3ae61e85456436fe7713674fdac5f28c802 (diff)
util/nvmutil: call it nvmutil in makefile
a package manager by the name "nvm" exists, as i discovered. this is a courtesy to them. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rw-r--r--include/inject.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 6a1b0768..783e06ed 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -6,7 +6,7 @@
cbcfgsdir="config/coreboot"
tmpromdel="$XBMK_CACHE/DO_NOT_FLASH"
-nvm="util/nvmutil/nvm"
+nvmutil="util/nvmutil/nvmutil"
ifdtool="elf/coreboot/default/ifdtool"
checkvars="CONFIG_GBE_BIN_PATH"
@@ -200,13 +200,13 @@ modify_mac()
x_ make -C util/nvmutil clean
x_ make -C util/nvmutil
- x_ "$nvm" "$xbtmp/gbe" setmac "$new_mac"
+ x_ "$nvmutil" "$xbtmp/gbe" setmac "$new_mac"
fi
fx_ newmac x_ find "$tmpromdir" -maxdepth 1 -type f -name "*.rom"
printf "\nThe following GbE NVM data will be written:\n"
- x_ "$nvm" "$xbtmp/gbe" dump | grep -v "bytes read from file" || :
+ x_ "$nvmutil" "$xbtmp/gbe" dump | grep -v "bytes read from file" || :
}
newmac()